<?php
namespace BooklyPackages\Frontend\Modules\Booking\ProxyProviders;

use Bookly\Lib as BooklyLib;
use Bookly\Lib\Entities\Appointment;
use Bookly\Lib\Entities\CustomerAppointment;
use Bookly\Frontend\Modules\Booking\Proxy;
use BooklyPackages\Lib\Utils;

/**
 * Class Local
 *
 * @package BooklyPackages\Frontend\Modules\Booking\ProxyProviders
 */
class Local extends Proxy\Packages
{
    /**
     * @inheritDoc
     */
    public static function createPackage( BooklyLib\DataHolders\Booking\Order $order, BooklyLib\CartItem $cart_item, &$item_key )
    {
        $service_id = $cart_item->getServiceId();
        $staff_id = $cart_item->getStaffId();
        $location_id = $cart_item->getLocationId();
        $customer_id = $order->getCustomer()->getId();
        $created_from = 'frontend';
        $package = Utils\Common::createPackage( null, $service_id, $staff_id, $location_id, $customer_id, '', $order->getPayment(), '', $created_from );
        $package_id = $package->getId();
        $payment_id = $order->getPayment()->getId();

        $item = BooklyLib\DataHolders\Booking\Package::create( new CustomerAppointment( compact( 'package_id', 'payment_id', 'customer_id', 'created_from' ) ) )
            ->setService( $cart_item->getService() )
            ->setAppointment( new Appointment( compact( 'service_id', 'staff_id', 'location_id' ) ) );

        $item->setPackage( $package );

        return $order->addItem( $item_key++, $item );
    }
}