<?php
namespace BooklyPackages\Lib\ProxyProviders;

use Bookly\Lib as BooklyLib;
use BooklyCoupons\Lib\Entities\Coupon;
use BooklyPackages\Backend\Modules\Packages\Page;
use BooklyPackages\Lib;

/**
 * Class Local
 *
 * @package BooklyPackages\Lib\Shared
 */
class Local extends BooklyLib\Proxy\Packages
{
    /**
     * @inheritDoc
     */
    public static function addBooklyMenuItem()
    {
        $packages = __( 'Packages', 'bookly' );

        add_submenu_page( 'bookly-menu', $packages, $packages, 'read',
            Page::pageSlug(), function () { Page::render(); } );
    }

    /**
     * @inheritDoc
     */
    public static function getPackageExpireDate( $package_id )
    {
        $package = new Lib\Entities\Package();
        $package->load( $package_id );
        if ( $package->isLoaded() ) {
            return $package->getExpiredDate();
        }

        return null;
    }

    /**
     * @inheritDoc
     */
    public static function preparePaymentDetails( $details, $payment )
    {
        $coupon = $payment->getCouponId() ? Coupon::find( $payment->getCouponId() ) : null;
        if ( $coupon ) {
            $coupon->claim();
            $coupon->save();
            $details['coupon'] = array(
                'code' => $coupon->getCode(),
                'discount' => $coupon->getDiscount(),
                'deduction' => $coupon->getDeduction(),
            );
        }

        return $details;
    }
}